# PostDetail

> Get one post by id (rowId) with metrics, campaign, partner, attributions and an optional metric series. Read access, posts toolset, MCP tool get_post.

**Access:** [Read](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `rowId` | `UUID!` | yes |  | Equal to the specified value. |
| `withSeries` | `Boolean!` | yes | MCP tools send `false` when it is left out | Included when true. |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"PostDetail","variables":{"rowId":"00000000-0000-0000-0000-000000000000","withSeries":false},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"031d8e558cf81b343b024af6e3323d62bb3e72dc1dd5d29ef12364339c4453fe"}}}'
```

## Document

```graphql
query PostDetail($rowId: UUID!, $withSeries: Boolean!) { __typename allPartnerPosts(first: 1, filter: {rowId: {equalTo: $rowId}}) { __typename nodes { __typename attributions(first: 12) { __typename nodes { __typename caused computedAt evidencePct guarded id judgementId mendJudgementByJudgementId { __typename confidence id reasonCodes rowId } mendStatus mendTier mendTrust orderByOrderId { __typename attributedRevenue createdAt currencyByCurrencyId { __typename code decimalPlaces decimalSeparator id symbol symbolPosition thousandsSeparator } id orderNumber rowId } orderId role rowId } totalCount } campaignByCampaignId { __typename icon iconColor id name rowId } campaignId campaignSignalByCampaignSignalId { __typename id kind value } caption comments crosspostGroupId engagementRate hashtags id isSponsored lastSyncedAt likes mentions metricsUpdatedAt originId partnerByPartnerId { __typename profileImage: avatarUrl id name rowId trusted username } partnerPostMetricsByPartnerPostId(last: 200) @include(if: $withSeries) { __typename nodes { __typename capturedAt comments likes saves shares source views } } postType postUrl publishedAt rowId shares status title trackingEnabled validity views ... on PartnerPostFacebookPost { __typename isPaid link ocrText pageName reactions thumbnailHeight thumbnailUrl thumbnailWidth userName userProfileUrl } ... on PartnerPostInstagramPost { __typename dimensionsHeight dimensionsWidth displayUrl isAdvertisement locationName ownerUsername videoUrl } ... on PartnerPostInstagramReel { __typename dimensionsHeight dimensionsWidth displayUrl hasAudio reelDurationSeconds: videoDuration videoUrl } ... on PartnerPostInstagramStory { __typename expiringAt mediaType } ... on PartnerPostTiktokVideo { __typename authorFans authorVerified coverUrl isAd isPinned isSponsored musicAuthor musicName textLanguage tiktokDurationSeconds: videoDuration } ... on PartnerPostTwitterPost { __typename authorBlueVerified authorFollowers authorIsVerified isQuote isReply isRetweet lang quoteCount } ... on PartnerPostYoutubeVideo { __typename channelName channelUrl duration heatSeek isAgeRestricted isChannelVerified isPaidContent numberOfSubscribers placementEndSeconds placementStartSeconds retentionDropOff thumbnailUrl } } } }
```

Source: https://developer.missin.co.uk/reference/posts/post-detail
